@import "variables";

.success {
  color: darkgreen;
}

.failure {
  color: crimson;
}

.skill-roll-item {
  margin-bottom: 0.5em;
}

.roll-message-sidebar {
  flex: 1;

  img {
    border: none;
    width: auto;
    height: auto;
    border-radius: 0;
    padding-right: 0.2em;
  }
}

.roll-message-content {
  flex: 3;

  .headings {
    flex: none;

    h3 {
      margin: 0;
    }
  }
}

.roll-message-body {
  flex: none;
  border: 1px solid #999;
  background: rgba(0, 0, 0, 0.05);


  .roll-information-row {
    p {
      margin: 0;

    }

    .label {
      text-align: left;
      flex: 0.5;
    }

    .value {
      font-weight: bold;
      text-align: center;
      flex: 1;
    }
  }
}

.tor1e-dice-tooltip {
  .tor1e-tooltip-part {
    flex: 2.5;
    margin-left: 0.25em;
    margin-right: 0.25em;
    border-left: 1px solid #999;
    padding-left: 0.25em;
    margin-bottom: 0.2em;

    .dice {
      .dice-rolls {
        margin-bottom: 0;

        .roll{
          position: relative;
          width: 24px;
          line-height: 24px;
          float: left;
          margin-right: 1px;
          font-size: 16px;
        }

        .mandatory {
          margin-bottom: 0;
          opacity: 1;
        }

        .optional {
          opacity: 0.2;
        }
      }
    }
  }

  .tor1e-tooltip-part:first-of-type {
    flex: 1;
  }

}

.roll-action {
  flex: 0.5;
  text-align: right;
  margin-left: 0.2em;
}

.roll-action:hover {
  text-shadow: 0 0 8px red;
}

/* Flaired edges, by Tomas Theunissen */

hr.style-seven {
  overflow: visible; /* For IE */
  height: 15px;
  border-style: solid;
  border-color: black;
  border-width: 1px 0 0 0;
  border-radius: 0.75em;
  width: 100%;
  flex: none;
  margin-top: 2em;
  margin-bottom: 1em;
}

hr.style-seven:before { /* Not really supposed to work, but does */
  display: block;
  content: "";
  height: 15px;
  margin-top: -16px;
  border-style: solid;
  border-color: black;
  border-width: 0 0 1px 0;
  border-radius: 0.75em;
}

.popup {

  .header {
    flex: 1;
    border-right: 1px solid #333;
    padding-right: 1em;
  }

  .content {
    margin-left: 1em;
    flex: 2;

    .best-worst {
      align-items: center;
      text-align: center;
    }

    .input {
      flex: 1;
    }
  }

  img {
    border: none;
    object-fit: contain;
    object-position: 50% 0;
  }

  input {
    width: 3em;
    flex: none;
    text-align: center;
  }

  .form-group {

    .label, label {
      margin-right: 0.5em;
      font-weight: bold;
      font-size: @bigger;
      flex: none;
    }
  }

  .double-attribute {
    flex: 2;
    text-align: center;
  }

  .tor-dice {
    align-items: center;
  }

}

.dialog {
  .dialog-buttons {
    flex: none;
  }
}

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 3.25em;
  height: 1.7em;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #2e6635;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 1.25em;
  width: 1.25em;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #e50b28;
}

input:focus + .slider {
  box-shadow: 0 0 1px #e50b28;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 1em;
}

.slider.round:before {
  border-radius: 50%;
}

.form-group {
  label.switch {
    flex: none;
  }
}

/* The Dice - the box around the slider */
.tor-dice {

  position: relative;
  display: inline-block;
  width: 2em;
  height: 2em;

  /* Hide default HTML checkbox */

  input {
    opacity: 0;
    width: 0;
    height: 0;
  }

  /* The slider */

  .feat-dice, .bonus-dice {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  }

  .feat-dice:before {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    left: 4px;
    background: url("../assets/images/chat/dice_icons/chat_f_gandalf.png") no-repeat;
    background-size: 2em;
    opacity: 0.2;
  }

  .bonus-dice:before {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    left: 4px;
    background: url("../assets/images/chat/dice_icons/chat_s_6.png") no-repeat;
    background-size: 2em;
    opacity: 0.2;
  }

  input:checked + .feat-dice:before, input:checked + .bonus-dice:before {
    opacity: 1;
  }

}

.mandatory {
  margin-bottom: 2em;
}

.formula {
  p.label {
    font-size: @normal;
    margin-top: 0;
  }

  div.value {
    font-size: @large;
    justify-content: center;
    padding: 0.1em 0;

    div {
      flex: none;
      margin: 0 0.2em;

      * {
        margin: 0 0.1em;
      }
    }
  }

}

.damage-card, .preparation-roll-card {
  border: 1px solid #333;

  .block-title {
    font-size: @normal;
    margin-top: 0;
    text-align: center;
    font-weight: bold;
    color: white;
    background: #333;
    margin-bottom: 0.1em;
  }

  .block-content {
    margin-bottom: 0.1em;

    a {
      border: 1px dashed #666;
      background: rgba(0, 0, 0, 0.1);
    }

    .actor-name, .key-point {
      font-weight: bold;
    }

    .line-label {
      font-weight: bold;
      text-decoration-line: underline;
    }

    .collapsible {
      display: none;
      visibility: hidden;
    }

    .collapsible.show {
      display: block;
      visibility: visible;
    }
  }


}